Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QHostInfo.HostInfoError

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QHostInfo.HostInfoError

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QHostInfo

    public static final class QHostInfo.HostInfoError

extends java.lang.Enum
implements QtEnumerator

This enum describes the various errors that can occur when trying to resolve a host name.

See also:
  `error()`, and `setError()`.

See Also:
  Serialized Form

Field Summary
`static QHostInfo.HostInfoError` | `HostNotFound` No IP addresses were found for the host.
`static QHostInfo.HostInfoError` | `NoError` The lookup was successful.
`static QHostInfo.HostInfoError` | `UnknownError` An unknown error occurred.

Method Summary
`static QHostInfo.HostInfoError` | `resolve(int value)` Returns the QHostInfo$HostInfoError constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QHostInfo.HostInfoError` | `valueOf(java.lang.String name)`
`static QHostInfo.HostInfoError[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoError

    public static final QHostInfo.HostInfoError NoError

  The lookup was successful.

### HostNotFound

    public static final QHostInfo.HostInfoError HostNotFound

  No IP addresses were found for the host.

### UnknownError

    public static final QHostInfo.HostInfoError UnknownError

  An unknown error occurred.

Method Detail

### values

    public static QHostInfo.HostInfoError[] values()

### valueOf

    public static QHostInfo.HostInfoError valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QHostInfo.HostInfoError resolve(int value)

  Returns the QHostInfo$HostInfoError constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD